<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_62d701c3c53" . "404f06345eb3" . "5720a47b4" => base64_decode("aXNfbnVtZXJpYw=" . "="), "_fa96cdf58bff3b0695fb2b" . "c0803d7b12" => base64_decode("IGRvZXMgb" . "m90IGV4aX" . "N0"), "_a827c5bc10b88ccab760d95c58" . "bfbeaa" => base64_decode("Q291bGQgbm90" . "IHBhcnNlIHZh" . "bHVlICI="), "_dc99f29eb97" . "c274b4e47f67" . "01fb2d842" => base64_decode("TWV0YWRhdGE" . "gZmllbGQg"), "_a7fdbac2a6d0ebb5bb8ea569e817" . "3d7b" => base64_decode("IiBmb3IgZGF" . "0ZSBmaWVsZC" . "A="), "_27ba77e349cbe144e8794d0c0497a" . "106" => base64_decode("IiBnaXZlbiBmb3I" . "gc2VsZWN0IGZpZW" . "xkIA=="), "_4b4a03dbe69a4c39db014be" . "2875a7313" => base64_decode("Tm9uLW51bW" . "VyaWMgdmFs" . "dWUgIg=="), "_d013620d4b36" . "b1d03509cbeff" . "31bbdb9" => base64_decode("IiBnaXZlbiBmb3IgbnV" . "tZXJpYyBmaWVsZCA="), "_2cb499b451eb718f84" . "1aaa78dc70cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1lIGZpZWxkIA=" . "="), "_3aec16c1aa2104da778e4" . "12207d6c415" => base64_decode("L15cZHsxNH18XGR7O" . "H0kLw=="), "_d155d43a39de93f858123c6b6" . "ce31d8a" => base64_decode("cHJlZ19tYXRja" . "A=="), "_ac927f4168510971a59508f1f08cf98" . "a" => base64_decode("L15c" . "ZHs4" . "fSQv"), "_bb26699a673361ff7c17444a2a" . "82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1lbnQgbGluayBmaWVsZ" . "CA="), "_bd71c3b5c201fc11d" . "b82ed14ce424de5" => base64_decode("aW5fYXJyYX" . "k="), "_535e3fcb3f5d89c525b" . "b618a08cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG9y" . "IGEgZG9jdW1lbnQgb2JqZWN0"), "_66a6b98e1f1601e30de10feb344fcd" . "b6" => base64_decode("SW52YWxpZCB2YWx" . "1ZSAi"));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_dc99f29eb" . "97c274b4e4" . "7f6701fb2d" . "842"] . $key . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_fa96cdf" . "58bff3b0" . "695fb2bc" . "0803d7b1" . "2"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_62d701c3c53404f06345e" . "b35720a47b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4b4a03dbe" . "69a4c39db0" . "14be2875a7" . "313"] . $value . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_d013620d4b36b1d03509cbeff" . "31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d155d43a39de93f858123c6" . "b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3aec16c1aa2104da778" . "e412207d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_a827c5bc10b88ccab7" . "60d95c58bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2cb499b451eb718f841aaa78dc" . "70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_bd71c3b5c201fc11" . "db82ed14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_66a6b98e1f1601e30" . "de10feb344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_27ba77e" . "349cbe14" . "4e8794d0" . "c0497a10" . "6"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_62d701c3c53404f" . "06345eb35720a47b" . "4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_bb26699a673361ff7c17444" . "a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_535e3fcb3f5d89c525bb618a08cc8" . "dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d155d43a39d" . "e93f858123c6" . "b6ce31d8a"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ac927f4168510971a595" . "08f1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a827c5bc10b88ccab760d95c58b" . "fbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a7fdbac2a6d0ebb5bb8" . "ea569e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}